manifestVersion: 1
id: formicaio
name: Formicaio
tagline: Запускайте узлы в одноранговой (P2P) сети Autonomi.
category: crypto
version: "0.6.2"
port: 52100
description: >-
  ## Упростите свою децентрализованную работу с Formicaio
  
  Formicaio — это интуитивно понятное приложение, созданное для того, чтобы помочь вам запускать узлы на
  сеть [Autonomi](https://autonomi.com). Эта P2P-сеть позволяет пользователям
  для совместного использования хранилища и пропускной способности в обмен на токены ANT, токен ERC-20
  в сети Arbitrum One.
  
  Название «Формикайо» происходит от итальянского слова «муравейник».
  символизируя совместную и структурированную природу как муравьев, так и
  децентрализованную сеть, которую он поддерживает. Точно так же, как муравьи работают вместе, чтобы строить и
  поддерживать свои колонии, Formicaio дает пользователям возможность сотрудничать и вносить свой вклад
  в сеть Autonomi.
  
  ## Управление узлами стало проще
  
  С Formicaio вы можете легко запускать узлы и управлять ими с помощью графического
  пользовательский интерфейс (GUI) или терминал. Такая гибкость позволяет выполнять
  различные действия над отдельными узлами или группами выбранных узлов, в том числе:
  - Создание новых узлов
  - Запуск или остановка узлов
  - Переработка узлов для создания нового идентификатора узла.
  - Удаление узлов
  - Обновление узлов при появлении новой двоичной версии.
  - Просмотр журналов отдельных узлов в режиме реального времени
  - Мониторинг использования памяти и процессора с помощью подробных диаграмм.
  - Сортировка узлов по различным критериям, таким как дата создания, статус или количество подключенных узлов.
  
  Серверная часть Formicaio активно отслеживает ваши узлы, предоставляя информацию в режиме реального времени.
  обновления статуса и статистика, включая:
  - Баланс вознаграждений для каждого узла
  - Использование памяти и процессора
  - Количество записей, хранящихся локально
  - Текущие одноранговые соединения
  - Пиры в таблице маршрутизации
  - Пиры, которые избегали узла(ов)
  - Предполагаемое общее количество узлов в сети
  
  ## Настраиваемый мониторинг и управление
  
  Панель настроек позволяет настраивать задачи мониторинга и управления узлами, включая:
  - Автоматическое обновление узлов при появлении новой двоичной версии.
  - Настройки задержки для обновлений узлов.
  - Частота проверок версии двоичного файла узла.
  - Частота запросов баланса токенов
  - Частота получения метрик и информации об узлах
  - Конфигурация адреса контракта токена ERC20 и URL-адреса RPC для запросов баланса вознаграждения.
  
  ## Типы соединений для узлов
  
  При настройке узлов вы можете определить тип их подключения и собственный каталог данных:
  - Поддержка UPnP: попытки использовать UPnP для открытия порта на домашнем маршрутизаторе для входящих соединений. Если ваш маршрутизатор не поддерживает UPnP, создайте узлы с отключенным UPnP, чтобы обеспечить подключение.
  - IP-адрес прослушивания: этот адрес определяет, к какому сетевому интерфейсу будет привязан узел для входящих подключений. Приложение поддерживает адреса IPv4 (например, `0.0.0.0`, `127.0.0.1`) и IPv6 (например, `::`, `fe80::1`), позволяя пользователям контролировать, доступен ли узел на всех интерфейсах, только локально или в определенной сети. Такая гибкость полезна для запуска узлов в различных средах, таких как локальная разработка, частные сети или общедоступные развертывания.
  - Каталог пользовательских данных: в этом каталоге узел будет хранить свои постоянные данные, такие как фрагменты, журналы и файлы конфигурации. Назначая уникальный каталог данных каждому узлу или группе узлов, пользователи могут запускать несколько узлов на одном компьютере без конфликтов данных. Эта опция особенно полезна для расширенных настроек или при запуске узлов с разными жесткими дисками или точками монтирования.
widgets:
  - id: "formicaio-stats"
    type: "four-stats"
    refresh: "5s"
    endpoint: "formicaio_proxy:52100/api/stats_widget"
    link: ""
    example:
      type: "four-stats"
      link: ""
      items:
        - title: "Total balance"
          text: "1.7181"
          subtext: ""
        - title: "Active nodes"
          text: "15/15"
          subtext: ""
        - title: "Stored records"
          text: "69"
          subtext: ""
        - title: "Network size"
          text: "3897207"
          subtext: ""
developer: bochaco
website: https://github.com/bochaco/formicaio
submitter: bochaco
submission: https://github.com/getumbrel/dfwebos-apps/pull/1565
dependencies: []
repo: https://github.com/bochaco/formicaio
support: https://github.com/bochaco/formicaio/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
releaseNotes: ""
path: ""
